#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
#define CS_ENEMY_SUNSTONEWALL_CREATENAME L"CS_enemy_sunstonewall"
//太阳石墙
class CS_Enemy_SunstoneWall :
    public Entity
{
public:
    CS_Enemy_SunstoneWall();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    std::weak_ptr<Entity> BeginCaught(std::weak_ptr<Entity> e) override;//开始被某单位抓取（切换到被抓取状态）
    void EndCaught(std::weak_ptr<Entity> e) override;//被某单位抓取结束(退出被抓取状态）
    bool bLanding = false;
    EntityStateGravity stateGravity;
    bool fix = true;
    float srcY = 0;
};

std::shared_ptr<Entity> CreateCS_Enemy_SunstoneWall();